# inquiryPayment

> APO uses this API to query for information about a previously submitted payment request or accept the asynchronous processing result for a payment.

`POST /v1/payments/inquiryPayment`

Use this API to query for information about a previously submitted payment request or accept the asynchronous processing result for a payment.

# Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](https://docs.antom.com/ac/ams/api_fund.md#ML5ur)
-   [Response header](https://docs.antom.com/ac/ams/api_fund.md#WWH90)

**Note**: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

-   If the data type of a field is Integer and its value is `20`, set it as "`20`". 
-   If the data type of a field is Boolean and its value is `true`, set it as "`true`".

## Request parameters

#### paymentRequestId (String)

The unique ID that is assigned by a merchant to identify a payment request. _paymentRequestId_ and _paymentId_ cannot both be null. If both _paymentRequestId_ and _paymentId_ are specified, _paymentId_ takes precedence.

More information:

- Maximum length: 64 characters

#### paymentId (String)

The unique ID that is assigned by Antom to identify a payment. _paymentRequestId_ and _paymentId_ cannot both be null. A one-to-one correspondence between _paymentId_ and _paymentRequestId_ exists. If both _paymentRequestId_ and _paymentId_ are specified, _paymentId_ takes precedence.

More information:

- Maximum length: 64 characters

## Response parameters

#### result (Result, REQUIRED)

The request result contains information such as status and error codes.

> **Note**: This field doesn't indicate the payment result. This field only indicates whether the inquiryPayment interface is called successfully.

##### resultCode (String, REQUIRED)

Result code.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

Result status. Valid values are:   

-   `S`: Indicates that the result status is successful. 
-   `F`: Indicates that the result status failed. 
-   `U`: Indicates that the result status is unknown.

##### resultMessage (String, REQUIRED)

Result message

More information:

- Maximum length: 256 characters

#### paymentStatus (String)

Indicates the final status of Antom payment. Valid values are:  

-   `SUCCESS`: Indicates the transaction is successful. 
-   `FAIL`: Indicates the transaction is failed. 
-   `PROCESSING`: Indicates the transaction is under processing. 
-   `CANCELLED`: Indicates the transaction is canceled.

#### paymentResultCode (String, REQUIRED)

Payment result codes.

More information:

- Maximum length: 64 characters

#### paymentResultMessage (String, REQUIRED)

Payment result message.

More information:

- Maximum length: 256 characters

#### paymentRequestId (String, REQUIRED)

The unique ID that is assigned by a merchant to identify a payment request.

More information:

- Maximum length: 64 characters

#### paymentId (String, REQUIRED)

The unique ID that is assigned by Antom to identify a payment.

More information:

- Maximum length: 64 characters

#### paymentAmount (Amount, REQUIRED)

The payment amount that the merchant requests to receive in the order currency.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

> **Note**: For more information about the smallest currency unit, see [Currency codes](https://docs.antom.com/ac/ref/cc.md) for details.

More information:

- Value range: 0 - unlimited

#### authExpiryTime (Datetime)

Authorization expiration time.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### paymentCreateTime (Datetime)

The date and time when the payment is created.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### paymentTime (Datetime)

The date and time when the payment reaches a final state of success or failure.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### pspCustomerInfo (PspCustomerInfo)

The customer information of digital wallets.

> **Note**: This field is returned when the digital wallet can provide the related information.

##### pspName (String)

The name of the digital wallets.

> **Note**: This field is returned when the digital wallet can provide the related information.

More information:

- Maximum length: 64 characters

##### pspCustomerId (String)

The customer ID of the digital wallets.

> **Note**: This field is returned when the digital wallet can provide the related information.

More information:

- Maximum length: 64 characters

##### displayCustomerId (String)

The customer ID used for display. For example, _loginId_.

> **Note**: This field is returned when the digital wallet can provide the related information.

More information:

- Maximum length: 64 characters

#### redirectActionForm (RedirectActionForm)

Provides information of the redirection action.

##### method (String, REQUIRED)

Indicates the method type. Valid values are:

-   `POST`: Indicates that the request that is sent to the redirection address needs to be a POST request.
-   `GET`: Indicates that the request that is sent to the redirection address needs to be a GET request.
-   `SCAN`: Indicates that the request that is sent to the redirection address needs to be a SCAN request.

##### parameters (String)

Parameters required for the HTTP method in the key-value pair.

More information:

- Maximum length: 2048 characters

##### redirectUrl (URL, REQUIRED)

The URL where the user is redirected to.

More information:

- Maximum length: 1024 characters

#### transactions (Array<Transaction>)

Information about the transaction.

More information:

- Maximum size: Unlimited

##### transactionResult (Result, REQUIRED)

The transaction result, which contains information related to the business result and error information.

###### resultCode (String, REQUIRED)

Result code

More information:

- Maximum length: 64 characters

###### resultStatus (String, REQUIRED)

Result status. Valid values are:

-   `S`: Indicates that the result status is successful. 
-   `F`: Indicates that the result status failed. 
-   `U`: Indicates that the result status is unknown.

###### resultMessage (String)

Result message

More information:

- Maximum length: 256 characters

##### transactionId (String, REQUIRED)

The unique ID assigned by Antom to identify a transaction. When the transaction type is `CAPTURE`, the value of this field is identical to _captureId_. When the transaction type is `REFUND`, the value of this field is identical to _refundId_.

More information:

- Maximum length: 64 characters

##### transactionType (String, REQUIRED)

Transaction type for each subsequent payment activity. Valid values are: 

-   `PAYMENT`: Indicates a payment process. 
-   `REFUND`: Indicates a refund process. 
-   `CANCEL`: Indicates a cancellation process.
-   `AUTHORIZATION`: Indicates an authorization process. 
-   `CAPTURE`: Indicates a capture process. 
-   `VOID`: Indicates a void for authorization.

##### transactionStatus (String, REQUIRED)

Transaction status type. Valid values are:

-   `SUCCESS`: indicates the transaction is successful. 
-   `FAIL`: indicates the transaction failed.
-   `PROCESSING`: indicates the transaction is being processed. 
-   `CANCELLED`: indicates the transaction is canceled.

##### transactionAmount (Amount, REQUIRED)

Transaction amount. When the transaction type is CAPTURE, the value of this field is identical to _captureAmount_. When the transaction type is REFUND, the value of this field is identical to _refundAmount._

###### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

Notes: For more information about the smallest currency unit, see [Currency codes](https://global.alipay.com/docs/ac/ref/cc) for details.

More information:

- Value range: 0 - unlimited

##### transactionRequestId (String, REQUIRED)

The unique ID assigned by the merchant to identify the transaction request. When the transaction type is `CAPTURE`, the value of this field is identical to _captureRequestId_. When the transaction type is `REFUND`, the value of this field is identical to _refundRequestId_.

More information:

- Maximum length: 64 characters

##### transactionTime (Datetime)

The transaction time.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### grossSettlementAmount (Amount)

The total settlement amount, which equals to the transaction amount multiplied by the value of _settlementQuote_.

> **Note**: This field is empty when the settlement currency is the same as the transaction currency.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

Notes: For more information about the smallest currency unit, see [Currency codes](https://global.alipay.com/docs/ac/ref/cc) for details.

More information:

- Value range: 0 - unlimited

#### settlementQuote (Quote)

The exchange rate between the settlement currency and transaction currency at the time of the transaction, which is provided only in the locked-in rate case.

> **Note**: This field is empty when the settlement currency is the same as the transaction currency.

##### quoteId (String)

The unique ID to identify an exchange rate.

More information:

- Maximum length: 64 characters

##### quoteCurrencyPair (String, REQUIRED)

The currency exchange rate pair

More information:

- Maximum length: 16 characters

##### quotePrice (Decimal, REQUIRED)

The exchange rate used when a currency conversion occurs.

More information:

- Value range: 0 - unlimited

##### quoteStartTime (Datetime)

Effective time of the exchange rate.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### quoteExpiryTime (Datetime)

Expiration time of the exchange rate.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### guaranteed (Boolean)

Guaranteed exchange rate available for payment

#### receiptInfo (ReceiptInfo)

Receipt information.

> **Note**: This parameter is returned when you use in-store card payments.

##### customerReceipt (Receipt )

Customer receipt.

> **Note**: This parameter is returned when you use in-store card payments.

###### acquirerTerminalId (String)

The masked identification number of the merchant's terminal on the acquirer end.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### acquirerMerchantId (String)

The masked identification number of the merchant on the acquirer end.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### acquirerProcessTime (Datetime)

The process time of the acquirer.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### cardNo (String)

The masked card number.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### applicationLabel (String)

The label for the application on the card to identify the card scheme to which the card belongs.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### rrn (String)

Retrieval Reference Number (RRN), a unique identifier the card issuer assigns to a specific transaction to facilitate the retrieval of transaction details.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### posEntryMode (String)

Method of obtaining the PAN, such as ICC, NFC, MSR, or MKE.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### approvalCode (String)

Authorization code from the issuer.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### cardBrand (String)

The card brand.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### applicationCryptogram (String)

The unique application cryptogram generated in each transaction.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### tvr (String)

Terminal verification results.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### aid (String)

Application identifier used to distinguish different card brands.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### cvm (String)

Transaction verification method. The valid values are:

-   `NO_CVM`: indicates no cardholder verification needed and no action required.
-   `SIGNATURE`: indicates a signature from the cardholder is required and the signature can be provided.
-   `ONLINE_PIN`: indicates online PIN verification is required and no action needed.
-   `CDCVM`: Indicates biometric identification from the cardholder is required and no action needed.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

##### cashierReceipt (Receipt )

Cashier receipt.

> **Note**: This parameter is returned when you use in-store card payments.

###### acquirerTerminalId (String)

The identification number of the merchant's terminal on the acquirer end.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### acquirerMerchantId (String)

The identification number of the merchant on the acquirer end.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### acquirerProcessTime (Datetime)

The process time of the acquirer.

> **Note**: This parameter is returned when you use in-store card payments.

###### cardNo (String)

The masked card number.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### applicationLabel (String)

The label for the application on the card to identify the card scheme to which the card belongs.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### rrn (String)

Retrieval Reference Number (RRN), a unique identifier the card issuer assigns to a specific transaction to facilitate the retrieval of transaction details.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### posEntryMode (String)

Method of obtaining the PAN, such as ICC, NFC, MSR, or MKE.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### approvalCode (String)

Authorization code from the issuer.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### cardBrand (String)

The card brand.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### applicationCryptogram (String)

The unique application cryptogram generated in each transaction.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### tvr (String)

Terminal verification results.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### aid (String)

Application identifier used to distinguish different card brands.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

###### cvm (String)

Transaction verification method. The valid values are:

-   `NO_CVM`: indicates no cardholder verification needed and no action required.
-   `SIGNATURE`: indicates a signature from the cardholder is required and the signature can be provided.
-   `ONLINE_PIN`: indicates online PIN verification is required and no action needed.
-   `CDCVM`: Indicates biometric identification from the cardholder is required and no action needed.

> **Note**: This parameter is returned when you use in-store card payments.

More information:

- Maximum length: 32 characters

#### acquirerInfo (AcquirerInfo)

The information of the acquirer that processes the payment.

> **Note**: This parameter is returned when you use in-store card payments.

##### acquirerMerchantId (String)

The unique ID that is assigned by the acquirer to identify a merchant.

More information:

- Maximum length: 64 characters

##### acquirerName (String)

The name of the acquirer.

More information:

- Maximum length: 64 characters

##### acquirerTransactionId (String)

The transaction ID of the acquirer.

More information:

- Maximum length: 64 characters

##### referenceRequestId (String)

The unique ID that is assigned by Antom to identify a payment request sent to the acquirer.

More information:

- Maximum length: 64 characters

#### acquirerReferenceNo (String)

The unique ID assigned by the non-Antom acquirer for the transaction.

> **Note**: Specify this parameter when the transaction is settled by the non-Antom acquirer.

More information:

- Maximum length: 64 characters

#### actualPaymentAmount (Amount, REQUIRED)

Actual payment amount.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value ( Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

> **Note**: For more information about the smallest currency unit, see [Currency codes](https://docs.antom.com/ac/ref/cc.md) for details.

More information:

- Value range: 1 - unlimited

#### cardInfo (CardInfo)

Card information.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](https://docs.antom.com/ac/apo/payment_session_in.md) API is `CARD` for specific merchants in specific regions.

##### avsResultRaw (String)

The raw AVS result. See [AVS result codes](https://docs.antom.com/ac/ref/risk_methods.md#uk0zA) to check the valid values.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` and 3D Secure or non-3D Secure authentication is used.

More information:

- Maximum length: 128 characters

##### cardBin (String)

The first six digits of the bank card number, used to identify the issuing bank and card type of the bank card.

> **Note**: This parameter is returned when the value of_paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 8 characters

##### cardBrand (String)

The card brand, which can be used to display to the buyer.

> **Note**: This parameter is returned when the value of_paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD.

More information:

- Maximum length: 256 characters

##### cardNo (String)

The masked card number, which just shows part of the card number and can be used to display to the buyer.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` and the merchant does not have the PCI qualification.

More information:

- Maximum length: 32 characters

##### cvvResultRaw (String)

The raw Card Verification Value (CVV), Card Security Code (CSC), or Card Verification Code (CVC) result. See [CVV result codes](https://docs.antom.com/ac/ref/risk_methods.md#sBWzx) to check the valid values.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD and 3D Secure or non-3D Secure authentication is used.

More information:

- Maximum length: 128 characters

##### expiryMonth (String)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD for specific merchants in specific regions.

More information:

- Maximum length: 2 characters

##### expiryYear (String)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD for specific merchants in specific regions.

More information:

- Maximum length: 2 characters

##### fingerPrint (String)

Card fingerprint, standard hash card number.

##### funding (String)

The funding type of the card. Valid values are:

-   `CREDIT`: indicates a credit card.
-   `DEBIT`: indicates a debit card.

> **Note**:
>
> This parameter is returned when all the following conditions are met:
>
> -   The value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD`.
> -   The value of _cardNo_ is valid.
> -   The information is available in the Antom card database.

More information:

- Maximum length: 32 characters

##### issuerName (String)

The issuer name of the card.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD.

##### issuingCountry (String)

The issuing country of the card. The value of this parameter is a 2-letter country code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD`.

More information:

- Maximum length: 2 characters

##### lastFour (String)

Last 4 digits of the card number.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 4 characters

#### paymentResultInfo (PaymentResultInfo)

The information of payment results.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](https://docs.antom.com/ac/apo/payment_session_in.md) API is `CARD` for specific merchants in specific regions.

##### avsResultRaw (String)

The raw AVS result. See [AVS result codes](https://docs.antom.com/ac/ref/risk_methods.md#uk0zA) to check the valid values.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` and 3D Secure or non-3D Secure authentication is used.

More information:

- Maximum length: 128 characters

##### cardBin (String)

The first six digits of the bank card number, used to identify the issuing bank and card type of the bank card.

> **Note**: This parameter is returned when the value of_paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 8 characters

##### cardBrand (String)

The card brand, which can be used to display to the buyer.

> **Note**: This parameter is returned when the value of_paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD.

More information:

- Maximum length: 256 characters

##### cardNo (String)

The masked card number, which just shows part of the card number and can be used to display to the buyer.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` and the merchant does not have the PCI qualification.

More information:

- Maximum length: 32 characters

##### cvvResultRaw (String)

The raw Card Verification Value (CVV), Card Security Code (CSC), or Card Verification Code (CVC) result. See [CVV result codes](https://docs.antom.com/ac/ref/risk_methods.md#sBWzx) to check the valid values.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD and 3D Secure or non-3D Secure authentication is used.

More information:

- Maximum length: 128 characters

##### expiryMonth (String)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD for specific merchants in specific regions.

More information:

- Maximum length: 2 characters

##### expiryYear (String)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD for specific merchants in specific regions.

More information:

- Maximum length: 2 characters

##### fingerPrint (String)

Card fingerprint, standard hash card number.

##### funding (String)

The funding type of the card. Valid values are:

-   `CREDIT`: indicates a credit card.
-   `DEBIT`: indicates a debit card.

> **Note**:
>
> This parameter is returned when all the following conditions are met:
>
> -   The value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD`.
> -   The value of _cardNo_ is valid.
> -   The information is available in the Antom card database.

More information:

- Maximum length: 32 characters

##### holdName (String)

The cardholder's name.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](https://docs.antom.com/ac/apo/payment_session_in.md) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 64 characters

##### issuerName (String)

The issuer name of the card.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is CARD.

##### issuingCountry (String)

The issuing country of the card. The value of this parameter is a 2-letter country code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD`.

More information:

- Maximum length: 2 characters

##### lastFour (String)

Last 4 digits of the card number.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**createPaymentSession**](http://docs.antom.com/ac/apo/payment_session_in) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 4 characters

## More information 

This section provides additional information about key parameters. See the following list for details:

-   _paymentTime_:
    The successful execution time of this payment by Antom, that is, the date and time when the payment reaches a final state of success or failure. This value is used as the start time of the subsequent revocable and refundable time. For example, if the refundable time is 6 months, the final time to accept the refund is _paymentTime_ plus 6 months.
-   _paymentId_:
    The unique payment processing ID. For polling the same payment, this field must be unique; for polling different payments, this field must be different. This value can be used for further actions like inquiry, cancellation, or refund.
-   _paymentRequestId_ or _paymentId_:
    To decide when to use _paymentRequestId_ or _paymentId_**,** follow these rules:

-   If the [**cancel**](https://docs.antom.com/ac/apo/cancel_in.md) API calling returns an unknown exception or times out, the merchant can use either _paymentId_ or _paymentRequestId_ of the original payment to query the cancel result.
-   If the [**refund**](https://docs.antom.com/ac/apo/refund_in.md) API calling returns an unknown exception or times out, the merchant can use either _paymentId_ or _paymentRequestId_ of the original payment to query the refund result. But using _refundRequestId_ is not supported.

## Result process logic

For different request results, different actions are to be performed. See the following list for details:

-   If the value of _result.resultStatus_ is `S`, payment result inquiry succeeds.
-   If the value of _result.resultStatus_ is `F`, payment inquiry fails.
-   If the value of _result.resultStatus_ is `U`, then the request result is unknown. Use the same request parameters to retry the inquiry request.

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | Call the interface successfully. Obtain the order status by paymentStatus. |
| ACCESS_DENIED | F | Access is denied. | Contact Antom Technical Support for detailed reasons. |
| CURRENCY_NOT_SUPPORT | F | The currency is not supported. | Contact Antom Technical Support for detailed reasons. |
| INVALID_API | F | The called API is invalid or not active. | Contact Antom Technical Support to resolve the issue. |
| NO_PAY_OPTIONS | F | No payment options are available. | Contact Antom Technical Support for detailed reasons. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PROCESS_FAIL | F | A general business failure occurred. | Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| USER_KYC_NOT_QUALIFIED | F | Payment failed because of the user's KYC status. The user is either not KYC compliant, or the KYC status is not qualified for this transaction (for example, limitations on the payment amount or product information). | Prompt the user to complete KYC. |
| PAYMENT_IN_PROCESS | U | The payment is being processed. | For in-store payment, the request you initiated has the same paymentRequestId as that of the existed transaction, which might be a successful or in-process transaction. Check whether redirectActionForm.redirectUrl is returned in the response. If returned, redirect the user to the address specified by redirectUrl to complete the payment. If not, the payment might already be completed. See Result process logic for details; If not returned, the payment might be processed. Wait for the asynchronous notification or call the inquiryPayment API to query the final payment status. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | For in-store payment , call the inquiryPayment API to query the final payment status. If the issue is not resolved, contact Antom Technical Support. |
| DO_NOT_HONOR | F | The payment is declined by the issuing bank. | Retry the payment using a different card or contact the issuing bank. |
| ORDER_NOT_EXIST | F | The order does not exist. | Check whether paymentId is correct. |
| CLIENT_INVALID | F | The client is invalid. | Check whether clientId is correct. |
| METHOD_NOT_SUPPORTED | F | The server does not implement the requested HTTP method. | Check whether the HTTP method is correct. |
| MEDIA_TYPE_NOT_ACCEPTABLE | F | The server does not implement the media type that is acceptable to the client. | Check whether the media type is correct. |

## Request

```json
{
  "paymentRequestId": "865079057068586XXXX"
}
```

## Response

### SUCCESS_PAYMENT

```json
{
  "acquirerInfo": {
    "acquirerMerchantId": "000000000101826",
    "acquirerName": "FIUU",
    "acquirerTransactionId": "20055",
    "referenceRequestId": "901300219345"
  },
  "acquirerReferenceNo": "20055",
  "actualPaymentAmount": {
    "currency": "MYR",
    "value": "800"
  },
  "cardInfo": {
    "avsResultRaw": "",
    "cardBin": "476173",
    "cardBrand": "VISA",
    "cardNo": "************0027",
    "cvvResultRaw": "",
    "expiryMonth": "**",
    "expiryYear": "**",
    "fingerprint": "0b0daf7a618f4cbeac0b7c3c65d6c01ee9e312a6ff0f8c0294492f353950XXXX",
    "funding": "CREDIT",
    "issuerName": "INTL HDQTRS-CENTER OWNED",
    "issuingCountry": "US",
    "lastFour": "0027"
  },
  "paymentAmount": {
    "currency": "MYR",
    "value": "800"
  },
  "paymentCreateTime": "2025-03-27T21:17:28-07:00",
  "paymentId": "2025032819401089010011113021999XXXX",
  "paymentRequestId": "pop_GOFsoftpos_SDK_yifan_gvlwF7HP4tU3",
  "paymentResultCode": "SUCCESS",
  "paymentResultInfo": {
    "avsResultRaw": "",
    "cardBin": "476173",
    "cardBrand": "VISA",
    "cardNo": "************0027",
    "holdName": "********************",
    "cvvResultRaw": "",
    "expiryMonth": "**",
    "expiryYear": "**",
    "fingerprint": "0b0daf7a618f4cbeac0b7c3c65d6c01ee9e312a6ff0f8c0294492f353950XXXX",
    "funding": "CREDIT",
    "issuerName": "INTL HDQTRS-CENTER OWNED",
    "issuingCountry": "US",
    "lastFour": "0027"
  },
  "paymentResultMessage": "success",
  "paymentStatus": "SUCCESS",
  "paymentTime": "2025-03-27T21:17:29-07:00",
  "receiptInfo": {
    "cashierReceipt": {
      "acquirerMerchantId": "000000000101826",
      "acquirerProcessTime": "2025-05-13T06:19:51-07:00",
      "acquirerTerminalId": "91100082",
      "aid": "A0000000031010",
      "applicationCryptogram": "247FF464EDBF734E",
      "applicationLabel": "VISA CREDIT",
      "approvalCode": "055037",
      "cardBrand": "VISA",
      "cardNo": "************0027",
      "cvm": "ONLINE_PIN",
      "posEntryMode": "CONTACTLESS",
      "rrn": "792916428651",
      "tvr": "0000000000"
    },
    "customerReceipt": {
      "acquirerMerchantId": "***********1826",
      "acquirerProcessTime": "2025-05-13T06:19:51-07:00",
      "acquirerTerminalId": "****0082",
      "aid": "A0000000031010",
      "applicationCryptogram": "247FF464EDBF734E",
      "applicationLabel": "VISA CREDIT",
      "approvalCode": "055037",
      "cardBrand": "VISA",
      "cardNo": "************0027",
      "cvm": "ONLINE_PIN",
      "posEntryMode": "CONTACTLESS",
      "rrn": "792916428651",
      "tvr": "0000000000"
    }
  },
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "success",
    "resultStatus": "S"
  }
}
```

### TIMEOUT_PAYMENT

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "Success"
  },
  "paymentId": "2020112319401080010018820024107XXXX",
  "paymentResultCode": "PROCESS_FAIL",
  "paymentRequestId": "3cb72ff85fbbf033a5eb099797XXXX",
  "paymentResultMessage": "A general business failure occurred.",
  "paymentAmount": {
    "currency": "PHP",
    "value": "15000"
  },
  "paymentStatus": "FAIL"
}
```